## Author: M. Turhan ÇOBAN
## Created: 2021-06-06
function retval = d2fn(f,x)
  n=length(x);
  for i=1:n
    for j=1:n
      x_ref(1)=i;
      x_ref(2)=j;
      c(i,j)=d2func(f,x,x_ref);
    end
  end
  retval=c;
endfunction
